Package org.mozilla.javascript.engine

## Class Builtins

- java.lang.Object
- - org.mozilla.javascript.engine.Builtins

-     public class Builtins
      extends java.lang.Object

  This class defines the following built-in functions for the RhinoScriptEngine.
  - print(arg, arg, ...): Write each argument, concatenated to the ScriptEngine's "standard output" as a string.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builtins()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `print​(Context cx, Scriptable thisObj, java.lang.Object[] args, Function f)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builtins

          public Builtins()

  - ### Method Detail

    - #### print

          public static void print​(Context cx,
                                   Scriptable thisObj,
                                   java.lang.Object[] args,
                                   Function f)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`